# H46018_IncomingCallIndication Class Reference

`#include <h46018.h>`

## Public Member Functions

| H46018_IncomingCallIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H225_TransportAddress | m_callSignallingAddress
H225_CallIdentifier | m_callID

## Constructor & Destructor Documentation

H46018_IncomingCallIndication::H46018_IncomingCallIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H46018_IncomingCallIndication::Clone | ( |  | ) | const

Comparison H46018_IncomingCallIndication::Compare | ( | const PObject & | obj | ) | const

PBoolean H46018_IncomingCallIndication::Decode | ( | PASN_Stream & | strm | ) |

void H46018_IncomingCallIndication::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H46018_IncomingCallIndication::GetDataLength | ( |  | ) | const

void H46018_IncomingCallIndication::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H225_CallIdentifier H46018_IncomingCallIndication::m_callID

H225_TransportAddress H46018_IncomingCallIndication::m_callSignallingAddress

The documentation for this class was generated from the following file:

- h46018.h